#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	float a = 1.0f;
	double b = 2.0;
	long double c = 3.0L;
	char d = 'd';
	short int e = 5;
	int f = 6;
	long long unsigned int g = 7ULL;

	printf("%p\n", &a);
	printf("%p\n", &b);
	printf("%p\n", &c);
	printf("%p\n", &d);
	printf("%p\n", &e);
	printf("%p\n", &f);
	printf("%p\n", &g);
	return EXIT_SUCCESS;
}

